<h1 align="center">
	<br>
	<img width="763" src="https://cdn.rawgit.com/aharris88/awesome-cli-apps/master/media/logo.png" alt="awesome cli apps">
	<br>
	<br>
	<br>
</h1>

# Awesome CLI Apps [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

> A curated list of command line apps.

Inspired by the [awesome](https://github.com/sindresorhus/awesome) list thing.

## Table of Contents

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->
**Table of Contents**  *generated with [DocToc](https://github.com/thlorenz/doctoc)*

- [Entertainment](#entertainment)
  - [Social Media](#social-media)
  - [Video](#video)
- [Development](#development)
  - [Web Development](#web-development)
  - [Mobile Development](#mobile-development)
- [Devops](#devops)
- [Database](#database)
- [Productivity](#productivity)
- [Utilities](#utilities)
  - [macOS](#macos)
- [Command Line Learning](#command-line-learning)
- [Data Manipulation](#data-manipulation)
- [Files and Directories](#files-and-directories)
  - [File managers](#file-managers)
  - [Deleting, Copying, and Renaming](#deleting-copying-and-renaming)
  - [Files](#files)
  - [Directory Navigation](#directory-navigation)
- [Terminal Utilities](#terminal-utilities)
- [Version Control](#version-control)
  - [Git](#git)
  - [Changelogs](#changelogs)
- [Images](#images)
  - [Gif Creation](#gif-creation)
  - [Image Conversion](#image-conversion)
- [SVG](#svg)
- [Text Manipulation](#text-manipulation)
- [Screensavers](#screensavers)
- [Graphics](#graphics)
- [Other](#other)
- [Other Awesome Lists](#other-awesome-lists)
- [License](#license)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

---

## Entertainment

- [cmus](https://github.com/cmus/cmus) - Small, fast and powerful console music player for Unix-like operating systems.
- [Instant-Music-Downloader](https://github.com/yask123/Instant-Music-Downloader) - Instant music downloader.
- [itunes-remote](https://github.com/mischah/itunes-remote) - It’s about listening to music without leaving the terminal. macOS only.
- [moviemon](https://github.com/iCHAIT/moviemon) - Everything about your movies within the command line.
- [pianobar](https://6xq.net/pianobar/) - Pandora client.
- [quote-cli](https://github.com/riyadhalnur/quote-cli) - Get a random quote or the quote of the day in your CLI.
- [movie](https://github.com/mayankchd/movie) - Get movie info or compare movies in terminal.
- [somafm-cli](https://github.com/rockymadden/somafm-cli) - Listen to SomaFM in your terminal.
- [nehm](https://github.com/bogem/nehm) - Console tool, which downloads, sets IDv3 tags and adds to your iTunes (if you use macOS) your SoundCloud likes in convenient way
- [football-cli](https://github.com/ManrajGrover/football-cli) - Get live scores, fixtures, standings of almost every football competition/league in your terminal.
- [pockyt](https://github.com/arvindch/pockyt) - Read, Manage, and Automate your [Pocket](https://getpocket.com) collection.

### Social Media

- [facebook-cli](https://github.com/specious/facebook-cli) - Facebook command line interface
- [TTYtter](https://github.com/oysttyer/oysttyer) - Twitter client- ([original](http://www.floodgap.com/software/ttytter/)).
- [Rainbowstream](https://github.com/DTVD/rainbowstream) - A smart and nice Twitter client on terminal written in Python.

### Video

- [youtube-dl](http://rg3.github.io/youtube-dl/) - a small command-line program to download videos from YouTube.com and a few more sites. You can install with `brew install youtube-dl`.
- [open-pip-cli](https://github.com/albinekb/open-pip-cli) - Watch movies in macOS native picture-in-picture player from your terminal.

## Development

- [bcal](https://github.com/jarun/bcal) - Byte CALculator for storage conversions and calculations.
- [boilr](https://github.com/tmrts/boilr) - Dependency free CLI to create projects from boilerplate templates.
- [cookiecutter](https://github.com/audreyr/cookiecutter) - creates projects from cookiecutters (project templates)
- [dockly](https://github.com/lirantal/dockly) - Interactive CLI for managing Docker containers.
- [themer](https://github.com/mjswensen/themer) - Generate personalized themes for your editor, terminal, wallpaper, Slack, and more.

### Web Development

- [bower-name-cli](https://github.com/sindresorhus/bower-name-cli) - Check whether a package name is available on bower.
- [caniuse-cmd](https://github.com/sgentle/caniuse-cmd) - Searches [caniuse.com](caniuse.com) about browser support of feature.
- [htconvert](https://github.com/lukechilds/htconvert) - Convert .htaccess redirects to nginx.conf redirects.
- [is-up-cli](https://github.com/sindresorhus/is-up-cli) - Check whether a website is up or down.
- [npm-name-cli](https://github.com/sindresorhus/npm-name-cli) - Check whether a package name is available on npm.
- [npm-user-cli](https://github.com/sindresorhus/npm-user-cli) - Get user info of a npm user.
- [pageres-cli](https://github.com/sindresorhus/pageres-cli) - Capture website screenshots.
- [strip-css-comments-cli](https://github.com/sindresorhus/strip-css-comments-cli) - Strip comments from CSS.
- [viewport-list-cli](https://github.com/kevva/viewport-list-cli) - Return a list of devices and their viewports.
- [surge](https://surge.sh) - deploy directory to the web.
- [acmetool](https://github.com/hlandau/acme) - An easy-to-use command line tool for automatically acquiring certificates from ACME servers.
- [loadtest](https://github.com/alexfernandez/loadtest) - Runs a load test on the selected URL. Easy to extend minimally for your own ends.
- [wp-cli](https://github.com/wp-cli/wp-cli) - Manage WordPress installations, update plugins, set up multisite installs and much more, without using a web browser.
- [diff2html-cli](https://github.com/rtfpessoa/diff2html-cli) - Command-line tool to parse git diffs as JSON and generate pretty HTML.
- [npm-home](https://github.com/sindresorhus/npm-home) - Open the npm page of the package in the current directory.
- [HTTPie](https://github.com/jkbrzt/httpie) - A user-friendly HTTP client.

### Mobile Development

- [mobicon-cli](https://github.com/SamVerschueren/mobicon-cli) - Mobile app icon generator.
- [mobisplash-cli](https://github.com/SamVerschueren/mobisplash-cli) - Mobile app splash screen generator.

## Devops

- [aws-cli](https://github.com/aws/aws-cli) - Universal Command Line Interface for Amazon Web Services.
- [azure-cli](https://github.com/Azure/azure-cli) - Command-line tools for Azure.

## Database

- [cycli](https://github.com/nicolewhite/cycli) - A terminal client for Neo4j with autocompletion and syntax highlighting.
- [mycli](https://github.com/dbcli/mycli) - A Terminal Client for MySQL with AutoCompletion and Syntax Highlighting.
- [pgcli](https://github.com/dbcli/pgcli) - A Terminal Client for Postgre with AutoCompletion and Syntax Highlighting.

## Productivity

- [AutoScreenshotUploader](https://github.com/yask123/AutoScreenshotUploader) - Instantly capture and upload screenshot to [imgur](https://imgur.com).
- [bitly-client](https://github.com/specious/bitly-client) - Make and manage Bitly shortlinks with this command line utility
- [doing](https://github.com/ttscoff/doing/) - A command line tool for keeping track of what you’re doing and tracking what you’ve done.
- [ffscreencast](https://github.com/cytopia/ffscreencast) - ffmpeg screencast with video overlay and multi monitor support.
- [idea](https://github.com/IonicaBizau/idea) - A lightweight CLI tool and module for keeping ideas in a safe place quick and easy.
- [imgur-uploader-cli](https://github.com/kevva/imgur-uploader-cli) - Upload images to imgur.
- [geeknote](https://github.com/VitaliyRodnenko/geeknote) - Console client for Evernote.
- [ledger](http://ledger-cli.org) - Powerful, double-entry accounting system that is accessed from the UNIX command-line.
- [meetup-cli](https://github.com/specious/meetup-cli) - Meetup.com command line interface
- [The Mutt E-Mail Client](http://www.mutt.org/) - Email client.
- [Taskwarrior](http://taskwarrior.org) - Free and Open Source Software that manages your TODO list from your command line.
- [Timetrap](https://github.com/samg/timetrap) - Simple command line timetracker.
- [terjira](https://github.com/keepcosmos/terjira) - Command line power tool for Jira
- [ipt](https://github.com/drselump14/ipt) - Command line interface for pivotal tracker
- [g3l](https://github.com/svtek/g3l) - Git is easy, github cli is easy but g3l easiest git cli in the w0rld!
- [uber-cli](https://github.com/jaebradley/uber-cli) - Uber, at your fingertips.
- [moro](https://github.com/omidfi/moro) - Time Tracker with a single command
- [Buku](https://github.com/jarun/Buku) - Powerful command-line bookmark manager
- [googler](https://github.com/jarun/googler) - Google Search, Google Site Search, Google News from the terminal
- [calcurse](http://calcurse.org/) - Calcurse, a calendar and scheduling application for the command line.

## Utilities

- [archive-type-cli](https://github.com/kevva/archive-type-cli) - Detect the archive type of a Buffer/Uint8Array.
- [battery-level](https://github.com/gillstrom/battery-level) - Get current battery level.
- [brightness-cli](https://github.com/kevva/brightness-cli) - Change screen brightness- [windows version](https://github.com/sondreb/win-brightness).
- [screensaver](https://github.com/gillstrom/screensaver) - Start the screensaver.
- [wallpaper-cli](https://github.com/sindresorhus/wallpaper-cli) - Get or set the desktop wallpaper.
- [yank](https://github.com/mptre/yank) - Yank terminal output to clipboard.
- [text-meme](https://github.com/beatfreaker/text-meme-cli) - Generate text meme.
- [s](https://github.com/zquestz/s) - Open a web search in your terminal. Supports multiple search providers.
- [google-font-installer](https://github.com/lordgiotto/google-font-installer) - Search, download, and install any Google Font on your local machine.
- [aria2](https://github.com/tatsuhiro-t/aria2) - Lightweight multi-protocol and multi-source, cross platform download utility. It supports HTTP/HTTPS, FTP, SFTP, BitTorrent and Metalink.
- [mklicense](https://github.com/cezaraugusto/mklicense) - Create a custom LICENSE file painlessly with customized info. Busy people & beginner's friendly.
- [share-cli](https://github.com/marionebl/share-cli) - Quickly share files from command line with your local network.
- [remote-share-cli](https://github.com/marionebl/remote-share-cli) - Quickly share files from your command line with the world.
- [moeda](https://github.com/thompsonemerson/moeda) - A foreign exchange rates and currency conversion using cli
- [wego](https://github.com/schachmat/wego) - Get the weather right in your browser or your console.
- [mapscii](https://github.com/rastapasta/mapscii) - Terminal Map Viewer - the whole world in your console!
- [website-popup-cli](https://github.com/sindresorhus/website-popup-cli) - Quickly watch a window in a pop up window without closing or opening another full screen window.
- [getnews.tech](https://github.com/omgimanerd/getnews.tech) - Fetch news headlines from various news outlets in your terminal.
- [has](https://github.com/kdabir/has) - Checks for the presence of various commands and their versions on the path.

### macOS

- [bundle-id-cli](https://github.com/sindresorhus/bundle-id-cli) - Get bundle identifier from a bundle name (macOS): Safari → com.apple.Safari.
- [bundle-name-cli](https://github.com/sindresorhus/bundle-name-cli) - Get bundle name from a bundle identifier (macOS): com.apple.Safari → Safari.
- [lnfs-cli](https://github.com/kevva/lnfs-cli) - Safely force create symlinks.
- [osx-version-cli](https://github.com/sindresorhus/osx-version-cli) - Get the macOS version of the current system.
- [osx-wifi-cli](https://github.com/danyshaanan/osx-wifi-cli) - A cli for managing wifi connections on OSX.
- [active-win-cli](https://github.com/sindresorhus/active-win-cli) - Get the title/id/etc of the active window

## Command Line Learning

- [cmdchallenge](https://cmdchallenge.com/) - presents small shell challenge with user submitted solutions.
- [explainshell](http://www.explainshell.com/) - type a command line snippet to see the help text for each argument.
- [howdoi](https://github.com/gleitz/howdoi) - Instant coding answers via the command line.
- [how2](https://github.com/santinic/how2) - Finds the simplest way to do something on a unix bash command line (Nodejs implementation of howdoi).
- [shortcutfoo](https://www.shortcutfoo.com/) - Learn shortcuts for VIM, Emacs, git, bash and more.
- [The Fuck](https://github.com/nvbn/thefuck) - Magnificent app which corrects your previous console command.
- [tldr](https://github.com/tldr-pages/tldr) - Simplified and community-driven man pages.
- [Wat](https://github.com/dthree/wat) - Instant, central, community-built docs.


## Data Manipulation

- [jq](https://github.com/stedolan/jq) - Command-line JSON processor [http://stedolan.github.io/jq/](http://stedolan.github.io/jq/).
- [underscore-cli](https://github.com/ddopson/underscore-cli) - Command-line utility-belt for hacking JSON and Javascript.
- [ramda-cli](https://github.com/raine/ramda-cli) - A CLI tool for processing data with functional pipelines.
- [yaml-cli](https://github.com/pandastrike/yaml-cli) - A simple CLI for querying and updating YAML files.
- [jp](https://github.com/therealklanni/jp) - Simply parse and drill into JSON on the commandline, with jsonpath and stdin stream support (jq compatible, not a replacement).

## Files and Directories

### File managers
- [ranger](https://github.com/ranger/ranger) - a console file manager with VI key bindings.
- [midnight-commander](https://github.com/MidnightCommander/mc) - a feature rich visual file manager
- [organize-cli](https://github.com/ManrajGrover/organize-cli) - Organize your files, imagine cleaning up your downloads in an instant.

### Deleting, Copying, and Renaming

- [trash-cli](https://github.com/sindresorhus/trash-cli) - Move files and directories to the trash.
- [empty-trash-cli](https://github.com/sindresorhus/empty-trash-cli) - Empty the trash.
- [trashss](https://github.com/sotojuan/trashss) - ( only) Trash screenshots on desktop.
- [del-cli](https://github.com/sindresorhus/del-cli) - Delete files and folders.
- [cpy-cli](https://github.com/sindresorhus/cpy-cli) - Copies files.
- [rename-cli](https://github.com/jhotmann/node-rename-cli) - A cross-platform tool for renaming files quickly, especially multiple files at once.

### Files

- [chokidar-cli](https://github.com/kimmobrunfeldt/chokidar-cli) - CLI to watch file system changes.
- [file-type-cli](https://github.com/sindresorhus/file-type-cli) - Detect the file type of a file or stdin.
- [strip-json-comments-cli](https://github.com/sindresorhus/strip-json-comments-cli) - Strip comments from JSON. Lets you use comments in your JSON files!
- [DocToc](https://github.com/thlorenz/doctoc) - Generates table of contents for markdown files inside local git repository. Links are compatible with anchors generated by github or other sites.

### Directory Listing

- [alder](https://github.com/aweary/alder) - A minimal implementation of the UNIX tree command with colors!
- [exa](https://github.com/ogham/exa) - An improved version of `ls` written in Rust.

### Directory Navigation

- [autojump](https://github.com/wting/autojump) - A cd command that learns - easily navigate directories from the command line- [https://github.com/wting/autojump/wiki](https://github.com/wting/autojump/wiki).
- [fasd](https://github.com/clvv/fasd) - Command-line productivity booster, offers quick access to files and directories, inspired by autojump, z and v.
- [pm](https://github.com/Angelmmiguel/pm) - The easy way to switch to your projects on the shell.
- [z](https://github.com/rupa/z) - z is the new j, yo.
- [happyfinder](https://github.com/hugows/hf) - (another) Fuzzy file finder for the command line.
- [PathPicker](https://github.com/facebook/pathpicker/) - After parsing the output from a command, PathPicker presents you with a nice UI to select which files you're interested in.
- [find-up-cli](https://github.com/sindresorhus/find-up-cli) - Find a file by walking up parent directories.
- [fz](https://github.com/changyuheng/fz) - Seamless fuzzy tab completion for z
- [nnn](https://github.com/jarun/nnn) - File browser and disk usage analyzer with excellent desktop integration

## Terminal Utilities

- [gotty](https://github.com/yudai/gotty) - Share your terminal as a web application.
- [localtunnel](https://github.com/localtunnel/localtunnel) - Exposes your localhost to the world for easy testing and sharing.
- [mosh](https://mosh.org/) - Remote SSH client that allows roaming with intermittent connectivity.
- [ngrok](https://ngrok.com/) - secure introspectable tunnels to localhost.
- [serveo](https://serveo.net/) - Expose local servers to the internet using only a SSH client. 
- [seashells.io](https://seashells.io/) - Pipe output from command-line programs to the web in real-time.
- [teleconsole](https://www.teleconsole.com/) - Share your UNIX terminal in seconds.
- [tmate.io](https://tmate.io/) - Instant terminal (tmux) sharing.
- [warp](https://github.com/spolu/warp) - Secure and simple terminal sharing.

## Version Control

### Git

- [CLI GitHub](https://github.com/IonicaBizau/cli-github) - :tv: A fancy GitHub client for command line.
- [Gistup](https://github.com/mbostock/gistup) - Create a gist from terminal, then use git to update it.
- [git commander](https://github.com/golbin/git-commander) - A git tool with a easy terminal interface.
- [git-stats](https://github.com/IonicaBizau/git-stats) - :four_leaf_clover: A GitHub-like contributions calendar, but locally, with all your git commits.
- [hub](https://github.com/github/hub) - A command-line wrapper for git that makes you better at GitHub.
- [dev-time](https://github.com/samverschueren/dev-time-cli) - Get the current local time of a GitHub user.
- [git-labelmaker](https://github.com/himynameisdave/git-labelmaker) - Edit GitHub labels from the command line.
- [tig](https://github.com/jonas/tig) - Text-mode interface for Git.
- [git-standup](https://github.com/kamranahmedse/git-standup) - Recall what you did on the last working day.
- [starring](https://github.com/ritz078/starring) - Automatically star the npm-packages that you are using on GitHub.
- [git-secret](https://github.com/sobolevn/git-secret) - Store your private data inside a git repository.

### Changelogs

- [clog](https://github.com/kentcdodds/clog-cli) - A conventional changelog for the rest of us.

## Images

### Gif Creation

- [gifgen](https://github.com/lukechilds/gifgen) - Simple high quality GIF encoding.
- [gifsicle](https://github.com/kohler/gifsicle) - Create, manipulate, and optimize GIF images and animations.
- [ttygif](https://github.com/icholy/ttygif) - Convert terminal recordings to animated gifs.
- [ttygif](https://github.com/sugyan/ttygif) - ttyrec to gif.
- [ttystudio](https://github.com/chjj/ttystudio) - A terminal-to-gif recorder minus the headaches.
- [asciinema](https://github.com/asciinema/asciinema) - Terminal session recorder and the best companion of asciinema.org.
- [givegif](https://github.com/passy/givegif) - GIFs on the command line.

### Image Conversion

- [imgp](https://github.com/jarun/imgp) - Blazing fast batch image resizer and rotator

## SVG

- [SVGO](https://github.com/svg/svgo) - SVG Optimizer is a Nodejs-based tool for optimizing SVG vector graphics files.


## Text Manipulation

- [parse-columns-cli](https://github.com/sindresorhus/parse-columns-cli) - Parse text columns, like the output of unix commands. Returns JSON that you can manipulate with tools like jq or underscore-cli.

## Screensavers

- [cmatrix](https://github.com/Treri/cmatrix) - Show a scrolling 'Matrix' like screen- ([original](http://www.asty.org/cmatrix/)).
- [pipes.sh](https://github.com/pipeseroni/pipes.sh) - Shows random pipes that grow across the screen.

## Graphics
- [cli-mandelbrot](https://github.com/danyshaanan/cli-mandelbrot) - A cli for traversing the Mandelbrot fractal.
- [WOPR](https://github.com/yaronn/wopr) - A simple markup language for creating rich terminal reports, presentations and infographics.
- [sparkly-cli](https://github.com/sindresorhus/sparkly-cli) - Generate sparklines ▁▂▃▅▂▇..
- [JackPaper](https://github.com/jackel27/jackpaper) - Pull random/queried images from unplash.com and apply to your desktop wallpaper.

## Other

- [app-path-cli](https://github.com/sindresorhus/app-path-cli) - Get the path to an app (macOS).
- [Bible.Js CLI client](https://github.com/BibleJS/BibleApp) - :book: Bible.JS CLI client. Read the Holy Bible via the command line.
- [birthday](https://github.com/IonicaBizau/birthday) - Know when a friend's birthday is coming.
- [cowsay](https://github.com/tnalpgge/rank-amateur-cowsay) - You can [install with homebrew](http://brewformulas.org/Cowsay).
- [cgasm](https://github.com/bnagy/cgasm) - A tool that gives x86 assembly documentation. It is pronounced "SeekAzzem".
- [detect-indent-cli](https://github.com/sindresorhus/detect-indent-cli) - Detect the indentation of code.
- [emoj](https://github.com/sindresorhus/emoj) - Find relevant emoji from text on the command-line.
- [emoji-finder](https://github.com/dematerializer/emoji-finder) - Quickly find and copy emoji to the clipboard via the command-line
- [fortune](http://brewformulas.org/Fortune) - Shows a random fortune.
- [fullname-cli](https://github.com/sindresorhus/fullname-cli) - Get the fullname of the current user.
- [get-port-cli](https://github.com/sindresorhus/get-port-cli) - Get an available port.
- [gzip-size-cli](https://github.com/sindresorhus/gzip-size-cli) - Get the gzipped size of a file or stdin.
- [HASHA -cli](https://github.com/sindresorhus/hasha-cli) - Hashing made simple. Get the hash of text or stdin.
- [is-reachable-cli](https://github.com/beatfreaker/is-reachable-cli) - Check if hostnames are reachable or not.
- [kill-tabs](https://github.com/sindresorhus/kill-tabs) - Kill all Chrome tabs to improve performance, decrease battery usage, and save memory.
- [leven-cli](https://github.com/sindresorhus/leven-cli) - Measure the difference between two strings using the Levenshtein distance algorithm.
- [maybe](https://github.com/p-e-w/maybe) - See what a program does before deciding whether you really want it to happen.
- [mdlt](https://github.com/metadelta/mdlt) - Do quick math right from the command line.
- [medium-cli](https://github.com/djadmin/medium-cli) - Read [medium.com](https://medium.com/) stories within your terminal, also gives top stories.
- [open-shortcut-cli](https://github.com/sindresorhus/open-shortcut-cli) - Open the URL from a web shortcut file in the browser.
- [pkg-dir-cli](https://github.com/sindresorhus/pkg-dir-cli) - Find the root directory of a npm package.
- [speedtest-net](https://github.com/ddsol/speedtest.net) - Test your internet connection speed and ping using speedtest.net from the CLI.
-- [speed-test](https://github.com/sindresorhus/speed-test) - A wrapper around speeedtest-net with different UI.
- [shortcut-url-cli](https://github.com/sindresorhus/shortcut-url-cli) - Get the URL from a web shortcut file.
- [SpeedRead](https://github.com/sunsations/speed_read) - A simple terminal-based open source Spritz-alike.
- [to-double-quotes](https://github.com/sindresorhus/to-double-quotes-cli) - Convert matching single-quotes to double-quotes: I 'love' unicorns => I "love" unicorns.
- [to-single-quotes](https://github.com/sindresorhus/to-single-quotes-cli) - Convert matching double-quotes to single-quotes: I "love" unicorns → I 'love' unicorns.
- [yosay](https://github.com/yeoman/yosay) - Like cowsay, but for yeoman.
- [gdb-dashboard](https://github.com/cyrus-and/gdb-dashboard) - Modular visual interface for GDB in Python.
- [weather-cli](https://github.com/riyadhalnur/weather-cli) - Check the weather for your city from your terminal.
- [hget](https://github.com/bevacqua/hget) - Render websites in plain text from your terminal.
- [ponysay](https://github.com/erkin/ponysay) - Pony rewrite of cowsay.
- [google-wifi-status](https://github.com/joelgeorgev/google-wifi-status) - A Node.js CLI app that displays status of your Google Wifi / OnHub router.
- [calories](https://github.com/zupzup/calories) - Calories and weight tracker.
- [trino](https://github.com/eneserdogan/trino) - Trino CLI allows a quick and easy translation of words and phrases entered in the command line.

## Other Awesome Lists

- [awesome-git-addons](https://github.com/stevemao/awesome-git-addons) - A curated list of addons that extends git cli.

## License

[![CC0](https://i.creativecommons.org/p/zero/1.0/88x31.png)](https://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Adam Harris](https://twitter.com/agarrharr) has waived all copyright and related or neighboring rights to this work.

<a href="https://app.codesponsor.io/link/3owRGftAkghuGdjHaa955zEJ/agarrharr/awesome-cli-apps" rel="nofollow"><img src="https://app.codesponsor.io/embed/3owRGftAkghuGdjHaa955zEJ/agarrharr/awesome-cli-apps.svg" style="width: 888px; height: 68px;" alt="Sponsor" /></a>
